For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Q&A documents

Lists the question-and-answer pairs in your AI agents' knowledge, newest first.

get
Authorizations
api_keystringRequired

Your business's Cekat API key, from Settings → Developers & API in the Cekat dashboard (https://chat.cekat.ai/developers?section=apikeys). Available on the Business and Enterprise plans.

Query parameters
ai_agent_idstring · uuidOptional

Only Q&A for this AI agent.

pageinteger · min: 1OptionalDefault: 1
limitinteger · min: 1OptionalDefault: 100
Responses
200

A page of Q&A documents.

application/json
successbooleanOptional
get/api/documents
GET /api/documents HTTP/1.1
Host: api.cekat.ai
api_key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": [
    {
      "id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
      "question": "Jam berapa toko buka?",
      "answer": "Toko buka setiap hari pukul 09.00 sampai 21.00 WIB.",
      "ai_agent_id": "4d3c2b1a-0f9e-4d8c-b7a6-5f4e3d2c1b0a",
      "created_at": "2026-10-01T03:00:00.000000+00:00",
      "updated_at": null
    }
  ],
  "metadata": {
    "pagination": {
      "page": 1,
      "limit": 100,
      "total": 1,
      "total_pages": 1
    }
  }
}

Last updated